Bug 695173 (CVE-2011-1576) - CVE-2011-1576 kernel: net: Fix memory leak/corruption on VLAN GRO_DROP
Summary: CVE-2011-1576 kernel: net: Fix memory leak/corruption on VLAN GRO_DROP
Status: CLOSED ERRATA
Alias: CVE-2011-1576
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110606,reported=20110204,sou...
Keywords: Security
Depends On: 691565 695174 695175 695176 695177 713524
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-11 03:07 UTC by Eugene Teo (Security Response)
Modified: 2016-03-04 12:03 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 12:35:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC
Red Hat Product Errata RHSA-2011:1090 normal SHIPPED_LIVE Moderate: rhev-hypervisor security and bug fix update 2011-07-27 14:40:56 UTC
Red Hat Product Errata RHSA-2011:1106 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2011-08-02 16:53:52 UTC
Red Hat Product Errata RHSA-2011:1189 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-08-23 14:41:43 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Eugene Teo (Security Response) 2011-04-11 03:07:39 UTC
net: Fix memory leak/corruption on VLAN GRO_DROP

The function napi_reuse_skb is only meant to be used for packets merged by GRO.  Using it on the VLAN path will lead to memory leaks/corruption.  This patch is based on Jay Vosburgh's patch, and it fixes the problem by calling kfree_skb on the VLAN GRO_DROP path instead of napi_reuse_skb.

The fix for CVE-2011-1478 unveiled this issue. Note, this is not a CVE-2011-1478 regression.

Acknowledgements:

Red Hat would like to thank Ryan Sweat for reporting this issue.

Comment 7 Petr Matousek 2011-06-06 16:06:41 UTC
This issue does not affect the upstream kernel as the code path in question is no longer reachable due to changes in the VLAN subsystem.

Comment 8 Petr Matousek 2011-06-06 22:07:15 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 4 as it did not support Generic Receive Offload (GRO). This has been addressed in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0927.html and https://rhn.redhat.com/errata/RHSA-2011-1189.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html.

Comment 9 errata-xmlrpc 2011-07-15 06:08:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0927 https://rhn.redhat.com/errata/RHSA-2011-0927.html

Comment 10 Eugene Teo (Security Response) 2011-07-22 03:59:47 UTC
Upstream commit:
http://git.kernel.org/linus/3701e51382a026cba10c60b03efabe534fba4ca4

Comment 11 errata-xmlrpc 2011-07-27 14:41:01 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2011:1090 https://rhn.redhat.com/errata/RHSA-2011-1090.html

Comment 12 errata-xmlrpc 2011-08-02 16:53:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.0.Z - Server Only

Via RHSA-2011:1106 https://rhn.redhat.com/errata/RHSA-2011-1106.html

Comment 13 errata-xmlrpc 2011-08-23 14:41:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html

Comment 14 errata-xmlrpc 2011-09-12 19:44:11 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.